Bug 1297470 - Drools compiler throws wrong class format exception in Fuse 6.2.1 under Java 1.8
Drools compiler throws wrong class format exception in Fuse 6.2.1 under Java 1.8
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Fuse Integration (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: DR1
: 6.3.0
Assigned To: Petr Široký
Jiri Petrlik
Petr Penicka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 10:32 EST by Jiri Petrlik
Modified: 2016-11-30 19:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strack trace (5.02 KB, text/plain)
2016-01-11 10:32 EST, Jiri Petrlik
no flags Details

  None (edit)
Description Jiri Petrlik 2016-01-11 10:32:40 EST
Created attachment 1113627 [details]
Strack trace

Description of problem:

Drools compiler throws wrong class format exception in Fuse 6.2.1 under Java 1.8. See stack trace. It is possible to compile the same project under Java 1.7.

Version-Release number of selected component (if applicable):

Product version - BxMS 6.2.0.GA (build 6.3.0.Final-redhat-5)
Integration package for BxMS 6.2.0 and Fuse 6.2.1 (build 1.3.0.redhat-002)
Fuse - version 6.2.1

How reproducible:

Run "fuse-bxms-jbpm-workitems-camel-quickstart" from integration package under Fuse 6.2.1 and Java 1.8 (openjdk).

1. Add Maven repositories to <FUSE_DIR>/etc/org.ops4j.pax.url.mvn.cfg:
  - http://download.lab.bos.redhat.com/brewroot/repos/jb-bxms-6.2-build/latest/maven@id=product
  - http://download.lab.bos.redhat.com/brewroot/repos/jb-bxms-6.2-build/latest/maven@id=intpack


2. run following commands in Fuse:

$ features:addurl mvn:org.drools/drools-karaf-features/6.3.0.Final-redhat-5/xml/features
$ features:addurl mvn:org.jboss.integration.fuse/karaf-features/1.3.0.redhat-002/xml/features
$ features:addurl mvn:org.jboss.integration.fuse.quickstarts/karaf-features/1.3.0.redhat-002/xml/features
$ features:install fuse-bxms-jbpm-workitems-camel-quickstart

Actual results:

Quickstart installation will fail with attached stack trace.

Expected results:

Quickstart should run successfully.
Comment 2 Martin Basovník 2016-01-15 02:55:39 EST
I can reproduce the same exception with Oracle JDK 8.
Comment 3 Petr Široký 2016-01-21 12:12:20 EST
This has been fixed on master. If we need to backport this to product 6.2.x, please create new BZ for that.

Commit:
https://github.com/droolsjbpm/drools/commit/85a9a7991

Note that the current fix is more like workaround. We should be able to properly fix this once the ECJ bundles correctly export the package versions.
Comment 4 Jiri Petrlik 2016-03-31 10:08:15 EDT
Verified using BxMS 6.3.0.ER1 and integration package build 1.4.0.redhat-001. fuse-bxms-jbpm-workitems-camel-quickstart started successfully under OpenJDK 1.8.

Note You need to log in before you can comment on or make changes to this bug.